Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class MethodArgumentWriter

    java.lang.Object
      com.rabbitmq.client.impl.MethodArgumentWriter

    public class MethodArgumentWriter

extends java.lang.Object

Generates AMQP wire-protocol encoded arguments. Methods on this object are usually called from autogenerated code.

Constructor Summary
`MethodArgumentWriter(ValueWriter out)` Constructs a MethodArgumentWriter targetting the given DataOutputStream.

Method Summary
`void` | `flush()` Public API - call this to ensure all accumulated argument values are correctly written to the output stream.
`void` | `writeBit(boolean b)` Public API - encodes a boolean/bit argument.
`void` | `writeLong(int l)` Public API - encodes an integer argument.
`void` | `writeLonglong(long ll)` Public API - encodes a long integer argument.
`void` | `writeLongstr(LongString str)` Public API - encodes a long string argument from a LongString.
`void` | `writeLongstr(java.lang.String str)` Public API - encodes a long string argument from a String.
`void` | `writeOctet(byte octet)` Public API - encodes an octet argument from a byte.
`void` | `writeOctet(int octet)` Public API - encodes an octet argument from an int.
`void` | `writeShort(int s)` Public API - encodes a short integer argument.
`void` | `writeShortstr(java.lang.String str)` Public API - encodes a short string argument.
`void` | `writeTable(java.util.Map<java.lang.String,java.lang.Object> table)` Public API - encodes a table argument.
`void` | `writeTimestamp(java.util.Date timestamp)` Public API - encodes a timestamp argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodArgumentWriter

    public MethodArgumentWriter(ValueWriter out)

  Constructs a MethodArgumentWriter targetting the given DataOutputStream.

Method Detail

### writeShortstr

    public final void writeShortstr(java.lang.String str)
                             throws java.io.IOException

  Public API - encodes a short string argument.

  Throws:
    `java.io.IOException`

### writeLongstr

    public final void writeLongstr(LongString str)
                            throws java.io.IOException

  Public API - encodes a long string argument from a LongString.

  Throws:
    `java.io.IOException`

### writeLongstr

    public final void writeLongstr(java.lang.String str)
                            throws java.io.IOException

  Public API - encodes a long string argument from a String.

  Throws:
    `java.io.IOException`

### writeShort

    public final void writeShort(int s)
                          throws java.io.IOException

  Public API - encodes a short integer argument.

  Throws:
    `java.io.IOException`

### writeLong

    public final void writeLong(int l)
                         throws java.io.IOException

  Public API - encodes an integer argument.

  Throws:
    `java.io.IOException`

### writeLonglong

    public final void writeLonglong(long ll)
                             throws java.io.IOException

  Public API - encodes a long integer argument.

  Throws:
    `java.io.IOException`

### writeBit

    public final void writeBit(boolean b)
                        throws java.io.IOException

  Public API - encodes a boolean/bit argument.

  Throws:
    `java.io.IOException`

### writeTable

    public final void writeTable(java.util.Map<java.lang.String,java.lang.Object> table)
                          throws java.io.IOException

  Public API - encodes a table argument.

  Throws:
    `java.io.IOException`

### writeOctet

    public final void writeOctet(int octet)
                          throws java.io.IOException

  Public API - encodes an octet argument from an int.

  Throws:
    `java.io.IOException`

### writeOctet

    public final void writeOctet(byte octet)
                          throws java.io.IOException

  Public API - encodes an octet argument from a byte.

  Throws:
    `java.io.IOException`

### writeTimestamp

    public final void writeTimestamp(java.util.Date timestamp)
                              throws java.io.IOException

  Public API - encodes a timestamp argument.

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Public API - call this to ensure all accumulated argument values are correctly written to the output stream.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD